
renderingOptions:
  submitButtonLabel: Senden
  useInvisibleRecaptcha: false
type: Form
identifier: kontaktformular-GRB-Fahrtraining
label: 'Kontaktformular - GRB-Fahrtraining'
prototypeName: standard
finishers:
  -
    options:
      subject: Kontaktanfrage
      senderAddress: kfz-risiko@grb.de
      senderName: 'GRB Gesellschaft für Risiko-Beratung mbH'
      attachUploads: true
      templatePathAndFilename: 'EXT:lia_package/Resources/Private/Extensions/LiaForm/FormOne/Templates/Finishers/Email/UserHtml.html'
      partialRootPaths:
        300: 'EXT:lia_package/Resources/Private/Extensions/LiaForm/FormOne/Partials/Email/'
      recipients:
        '{email}': '{firstname} {lastname}'
      addHtmlPart: true
    identifier: EmailToSender
  -
    options:
      subject: 'Admin Mail: Kontaktanfrage'
      senderAddress: kfz-risiko@grb.de
      senderName: ''
      attachUploads: true
      templatePathAndFilename: 'EXT:lia_package/Resources/Private/Extensions/LiaForm/FormOne/Templates/Finishers/Email/Html.html'
      partialRootPaths:
        300: 'EXT:lia_package/Resources/Private/Extensions/LiaForm/FormOne/Partials/Email/'
      recipients:
        kfz-risiko@grb.de: ''
      replyToRecipients:
        '{email}': ''
      addHtmlPart: true
    identifier: EmailToReceiver
  -
    options:
      pageUid: '542'
      additionalParameters: ''
    identifier: Redirect
renderables:
  -
    renderingOptions:
      previousButtonLabel: 'Previous step'
      nextButtonLabel: 'Next step'
    type: Page
    identifier: page-1
    label: ''
    renderables:
      -
        type: Fieldset
        identifier: fieldsetContact
        label: ''
        renderables:
          -
            type: GridRow
            identifier: gridrow-2
            label: 'Grid: Row'
            renderables:
              -
                defaultValue: ''
                type: Text
                identifier: company
                label: Unternehmen
                properties:
                  gridColumnClassAutoConfiguration:
                    viewPorts:
                      xs:
                        numbersOfColumnsToUse: '24'
                      sm:
                        numbersOfColumnsToUse: '12'
                      sd:
                        numbersOfColumnsToUse: '10'
                      md:
                        numbersOfColumnsToUse: '10'
                      lg:
                        numbersOfColumnsToUse: '8'
              -
                properties:
                  gridColumnClassAutoConfiguration:
                    viewPorts:
                      xs:
                        numbersOfColumnsToUse: '24'
                      sm:
                        numbersOfColumnsToUse: '24'
                      sd:
                        numbersOfColumnsToUse: '8'
                      md:
                        numbersOfColumnsToUse: '8'
                      lg:
                        numbersOfColumnsToUse: '8'
                  options:
                    frau: Frau
                    herr: Herr
                  fluidAdditionalAttributes:
                    required: required
                  prependOptionLabel: 'Bitte wählen'
                type: SingleSelect
                identifier: salutation
                label: Anrede
                validators:
                  -
                    identifier: NotEmpty
          -
            type: GridRow
            identifier: gridrow-4
            label: 'Grid: Row'
            renderables:
              -
                defaultValue: ''
                type: Text
                identifier: firstname
                label: Vorname
                properties:
                  gridColumnClassAutoConfiguration:
                    viewPorts:
                      xs:
                        numbersOfColumnsToUse: '12'
                      sm:
                        numbersOfColumnsToUse: '12'
                      sd:
                        numbersOfColumnsToUse: '8'
                      md:
                        numbersOfColumnsToUse: '8'
                      lg:
                        numbersOfColumnsToUse: '8'
                  elementDescription: ''
              -
                defaultValue: ''
                type: Text
                identifier: lastname
                label: Name
                properties:
                  gridColumnClassAutoConfiguration:
                    viewPorts:
                      xs:
                        numbersOfColumnsToUse: '12'
                      sm:
                        numbersOfColumnsToUse: '12'
                      sd:
                        numbersOfColumnsToUse: '8'
                      md:
                        numbersOfColumnsToUse: '8'
                      lg:
                        numbersOfColumnsToUse: '8'
                  fluidAdditionalAttributes:
                    required: required
                validators:
                  -
                    identifier: NotEmpty
          -
            type: GridRow
            identifier: gridrow-3
            label: 'Grid: Row'
            renderables:
              -
                defaultValue: ''
                type: Text
                identifier: street
                label: Straße
                properties:
                  gridColumnClassAutoConfiguration:
                    viewPorts:
                      xs:
                        numbersOfColumnsToUse: '16'
                      sm:
                        numbersOfColumnsToUse: '8'
                      sd:
                        numbersOfColumnsToUse: '10'
                      md:
                        numbersOfColumnsToUse: '10'
                      lg:
                        numbersOfColumnsToUse: '6'
              -
                defaultValue: ''
                type: Text
                identifier: housenumber
                label: Hausnr.
                properties:
                  gridColumnClassAutoConfiguration:
                    viewPorts:
                      xs:
                        numbersOfColumnsToUse: '8'
                      sm:
                        numbersOfColumnsToUse: '4'
                      sd:
                        numbersOfColumnsToUse: '4'
                      md:
                        numbersOfColumnsToUse: '4'
                      lg:
                        numbersOfColumnsToUse: '2'
              -
                defaultValue: ''
                type: Text
                identifier: zipcode
                label: PLZ
                properties:
                  gridColumnClassAutoConfiguration:
                    viewPorts:
                      xs:
                        numbersOfColumnsToUse: '8'
                      sm:
                        numbersOfColumnsToUse: '4'
                      sd:
                        numbersOfColumnsToUse: '4'
                      md:
                        numbersOfColumnsToUse: '4'
                      lg:
                        numbersOfColumnsToUse: '3'
              -
                defaultValue: ''
                type: Text
                identifier: city
                label: Ort
                properties:
                  gridColumnClassAutoConfiguration:
                    viewPorts:
                      xs:
                        numbersOfColumnsToUse: '16'
                      sm:
                        numbersOfColumnsToUse: '8'
                      sd:
                        numbersOfColumnsToUse: '10'
                      md:
                        numbersOfColumnsToUse: '10'
                      lg:
                        numbersOfColumnsToUse: '5'
          -
            type: GridRow
            identifier: gridrow-1
            label: 'Grid: Row'
            renderables:
              -
                defaultValue: ''
                type: Text
                identifier: phone
                label: Telefonnummer
                properties:
                  gridColumnClassAutoConfiguration:
                    viewPorts:
                      xs:
                        numbersOfColumnsToUse: '16'
                      sm:
                        numbersOfColumnsToUse: '8'
                      sd:
                        numbersOfColumnsToUse: '10'
                      md:
                        numbersOfColumnsToUse: '10'
                      lg:
                        numbersOfColumnsToUse: '8'
              -
                defaultValue: ''
                type: Text
                identifier: email
                label: E-Mail
                properties:
                  gridColumnClassAutoConfiguration:
                    viewPorts:
                      xs:
                        numbersOfColumnsToUse: '24'
                      sm:
                        numbersOfColumnsToUse: '12'
                      sd:
                        numbersOfColumnsToUse: '10'
                      md:
                        numbersOfColumnsToUse: '10'
                      lg:
                        numbersOfColumnsToUse: '8'
                  fluidAdditionalAttributes:
                    required: required
                  elementDescription: ''
                validators:
                  -
                    identifier: EmailAddress
                  -
                    identifier: NotEmpty
      -
        type: Fieldset
        identifier: fieldsetMessage
        label: 'Ihre Nachricht an uns'
        renderables:
          -
            defaultValue: ''
            type: Textarea
            identifier: message
            label: 'Was können wir für Sie tun?'
            properties:
              fluidAdditionalAttributes:
                required: required
            validators:
              -
                identifier: NotEmpty
      -
        type: DataProtection
        identifier: dataProtection
        label: 'Data Protection'
        renderingOptions:
          pageUid: '530'
        properties:
          fluidAdditionalAttributes:
            required: required
          elementDescription: ' '
          text: 'Bitte akzeptieren Sie die %pagelink_text%'
          linktext: Datenschutzerklärung
        validators:
          -
            identifier: NotEmpty
      -
        type: HtmlCode
        identifier: htmlcode-2
        label: ''
        properties:
          font: span
          class: ''
          text: '* Pflichtangaben'
          align: u-text-center
